Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.process.workitem.wsht
Class AbstractHTWorkItemHandler

    java.lang.Object
      org.jbpm.process.workitem.wsht.AbstractHTWorkItemHandler

All Implemented Interfaces:
  WorkItemHandler

Direct Known Subclasses:
  AsyncGenericHTWorkItemHandler, GenericHTWorkItemHandler

    public abstract class AbstractHTWorkItemHandler

extends Object
implements WorkItemHandler

Field Summary
`protected OnErrorAction` | `action`
`protected Map<TaskEventKey,EventResponseHandler>` | `eventHandlers`
`protected ContentMarshallerContext` | `marshallerContext`
`protected KnowledgeRuntime` | `session`

Constructor Summary
`AbstractHTWorkItemHandler(KnowledgeRuntime session)`
`AbstractHTWorkItemHandler(KnowledgeRuntime session, OnErrorAction action)`

Method Summary
`abstract void` | `abortWorkItem(WorkItem workItem, WorkItemManager manager)` The given work item should be aborted.
`protected Task` | `createTaskBasedOnWorkItemParams(WorkItem workItem)`
`protected ContentData` | `createTaskContentBasedOnWorkItemParams(WorkItem workItem)`
`abstract void` | `executeWorkItem(WorkItem workItem, WorkItemManager manager)` The given work item should be executed.
`ContentMarshallerContext` | `getMarshallerContext()`
`void` | `setAction(OnErrorAction action)`
`void` | `setMarshallerContext(ContentMarshallerContext marshallerContext)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### session

    protected KnowledgeRuntime session

### action

    protected OnErrorAction action

### marshallerContext

    protected ContentMarshallerContext marshallerContext

### eventHandlers

    protected Map<TaskEventKey,EventResponseHandler> eventHandlers

Constructor Detail

### AbstractHTWorkItemHandler

    public AbstractHTWorkItemHandler(KnowledgeRuntime session)

### AbstractHTWorkItemHandler

    public AbstractHTWorkItemHandler(KnowledgeRuntime session,
                                     OnErrorAction action)

Method Detail

### getMarshallerContext

    public ContentMarshallerContext getMarshallerContext()

### setMarshallerContext

    public void setMarshallerContext(ContentMarshallerContext marshallerContext)

### setAction

    public void setAction(OnErrorAction action)

### createTaskBasedOnWorkItemParams

    protected Task createTaskBasedOnWorkItemParams(WorkItem workItem)

### createTaskContentBasedOnWorkItemParams

    protected ContentData createTaskContentBasedOnWorkItemParams(WorkItem workItem)

### executeWorkItem

    public abstract void executeWorkItem(WorkItem workItem,
                                         WorkItemManager manager)

  Description copied from interface: `WorkItemHandler`
  The given work item should be executed.

  Specified by:
    `executeWorkItem` in interface `WorkItemHandler`
  Parameters:
    `workItem` - the work item that should be executed
    `manager` - the manager that requested the work item to be executed

### abortWorkItem

    public abstract void abortWorkItem(WorkItem workItem,
                                       WorkItemManager manager)

  Description copied from interface: `WorkItemHandler`
  The given work item should be aborted.

  Specified by:
    `abortWorkItem` in interface `WorkItemHandler`
  Parameters:
    `workItem` - the work item that should be aborted
    `manager` - the manager that requested the work item to be aborted

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.